{
  "name": "quantum-blocks",
  "version": "1.0.0",
  "description": "低代码平台",
  "scripts": {
    "start": "cross-env NODE_ENV=production APOLLO_CLUSTER=RC egg-scripts start --port 9050 --workers 1",
    "test": "cross-env NODE_ENV=production EGG_SERVER_ENV=sit DEBUG=apollo APOLLO_CLUSTER=k8s NAMESPACE=qa2 egg-scripts start --port 80 --workers 1",
    "stop": "egg-scripts stop",
    "backend": "nohup egg-scripts start --port 7001 --workers 4",
    "dev": "egg-bin dev -r egg-ts-helper/register --port 7002",
    "debug": "egg-bin debug -r egg-ts-helper/register",
    "apollo": "node bin/apollo.js",
    "build": "easy build --devtool",
    "tsc": "ets && tsc -p tsconfig.json",
    "clean": "ets clean",
    "kill": "easy kill",
    "lint": "tslint --project . -c tslint.json",
    "fix": "tslint --fix --project . -c tslint.json 'app/**/*{.ts}'",
    "ii": "npm install --registry https://registry.npm.taobao.org",
    "changelog": "conventional-changelog -p angular -i CHANGELOG.md -s"
  },
  "dependencies": {
    "@babel/plugin-syntax-jsx": "^7.12.1",
    "@better-scroll/core": "^2.0.5",
    "@easy-team/easywebpack-cli": "^4.0.0",
    "@easy-team/easywebpack-vue": "^4.0.0",
    "@hubcarl/json-typescript-mapper": "^2.0.0",
    "@qg/apollo-nodejs": "^2.1.2",
    "@qg/cherry-ui": "2.23.9",
    "@qg/citrus-ui": "0.3.9-beta5",
    "@riophae/vue-treeselect": "^0.4.0",
    "@types/lodash": "^4.14.117",
    "@types/node": "^10.12.0",
    "@types/validator": "^4.5.26",
    "axios": "^0.21.1",
    "babel-plugin-transform-vue-jsx": "^4.0.1",
    "cross-env": "^7.0.3",
    "cz-conventional-changelog": "^2.1.0",
    "egg": "^2.3.0",
    "egg-bin": "^4.9.0",
    "egg-cors": "^2.1.1",
    "egg-redis": "^2.4.0",
    "egg-scripts": "^2.10.0",
    "egg-sequelize-ts": "^0.2.3-0",
    "egg-ts-helper": "^1.13.0",
    "egg-view-vue-ssr": "^3.0.5",
    "egg-webpack": "^4.4.7",
    "egg-webpack-vue": "^2.0.0",
    "extend": "~3.0.0",
    "html2canvas": "^1.0.0-rc.7",
    "iview": "^2.9.0",
    "js-cookie": "^2.2.1",
    "less": "^3.12.2",
    "less-loader": "^7.1.0",
    "lodash": "^4.17.4",
    "mockjs": "^1.0.1-beta3",
    "moment": "^2.17.1",
    "mysql2": "^2.2.5",
    "node-tool-utils": "^1.1.1",
    "npm": "^6.14.10",
    "postcss-px2rem": "^0.3.0",
    "qs": "^6.9.4",
    "raven-js": "^3.27.2",
    "sa-sdk-javascript": "^1.15.27",
    "sequelize": "^4.38.0",
    "sequelize-typescript": "^0.6.6",
    "ts-loader": "^5.3.0",
    "ts-node": "^7.0.1",
    "tslint": "^5.9.1",
    "tslint-eslint-rules": "^5.4.0",
    "tslint-loader": "^3.5.3",
    "typescript": "^3.9.2",
    "vue": "^2.6.12",
    "vue-grid-layout": "^2.3.11",
    "vue-property-decorator": "^7.2.0",
    "vue-router": "^3.0.1",
    "vuex": "^3.0.1",
    "vuex-class": "^0.3.1",
    "vuex-router-sync": "^5.0.0",
    "webpack-sentry-plugin": "^2.0.3"
  },
  "devDependencies": {},
  "egg": {
    "typescript": true
  },
  "engines": {
    "node": ">=8.0.0"
  },
  "ci": {
    "version": "8, 10"
  },
  "repository": {
    "type": "git",
    "url": "git+https://github.com/easy-team/egg-vue-typescript-boilerplate.git"
  },
  "author": "hubcarl@126.com",
  "license": "MIT",
  "homepage": "https://github.com/easy-team/egg-vue-typescript-boilerplate.git",
  "config": {
    "commitizen": {
      "path": "./node_modules/cz-conventional-changelog"
    }
  }
}
